<html>
<head> 
<style>
	.head {margin-top:80px; margin-left:460px; text-align: center; font-family:Purisa; size:30; position:absolute;}
	.button{
		width:200px; 
		height:200px; 
		box-shadow: 0 3px 5px rgba(90,90,90,.9); 
		position:absolute; 
		transition:.05s all ease;}
			.button:hover{
				box-shadow:0 3px 8px rgba(70,70,70,1.2);}
			.button:active{
				width: 197px; 
				height:197px;}
	
	#fact {
		margin-top:220; 
		margin-left:550; 
		border-radius:50%; }
	#font {
		font-family:Purisa; 
		size:10 ; 
		text-align:center; 
		margin-top:20px; 
		margin-left:10;}
	#enter {
		margin-left:620px; 
		margin-top:170px; 
		width:50; 
		align:center; 
		position:absolute;}
	#answer {
		width:80px; 
		height:80px; 
		border-radius:50%; 
		background-color:rgb(255,60,80); 
		align:center; 
		margin-left:610px; 
		margin-top:440px; 
		position:absolute}
	#ans{
		font-family:Purisa;
		color:rgb(200,255,255);
		size:10 ; 
		text-align:center; 
		margin-top:25px; }

		
</style>

</head>
   <body>
	<h1 class="head">Factorial of a number</h1>   
	<div class="button" id="fact"> <p id="font"><br>Enter number <br>& <br>Click  to get<br> factorial <br> </div>
	<input type="text" id="enter" > </input>
	<div id="answer"><p id="ans"></p></div>


   </body>

 <script>
var result =1;
	function jaadu(a)
			{	
			result= result*a;
			console.log(result); 
			a--; 
				if(a>0) {
			   	jaadu(a);
	     		  	}
			return result;
			}
		
	document.getElementById("fact").onclick= function() {
		num= document.getElementById("enter").value;
		var ans = jaadu(num);
	document.getElementById("ans").innerHTML= ans;
	};
	

 </script>

</html>
